Subject: P2MP on OSPF-TE

From: KASHIMA Hiroaki <[email-masked]>
Date: Fri, 27 Jun 2003 19:46:33 +0900

Hi

I have an question for draft-katz-yeung-ospf-traffic.

How can I describe Link ID sub-TLV for P2MP interfaces?
The draft says in Section 2.5.2

  "The Link ID is identical to the contents of the
   Link ID field in the Router LSA for these link types",

and RFC 2328 says in Section 12.4.1.2

  "o A single Type 3 link ..."
  "o For each fully adjacent neighbor..., add an additional Type 1 link..."

but the draft also says in Section 2.4.2

  "The Link Type and Link ID sub-TLVs are mandatory, i.e., must appear
   exactly one."

So I cannot write it as same as Link ID in the Router LSA.
--
KASHIMA, Hiroaki <[email-masked]>
Software Development Department-II,
IP system Division, Fujitsu Ltd

---

From: Acee Lindem <[email-masked]>
Date: Fri, 27 Jun 2003 09:11:26 -0400

>    Link ID field in the Router LSA for these link types",

Hello Kashima-san,

The Link Type sub-TLV doesn't only allows link types of point-to-point
and multi-access. Hence, I believe you should model your P2MP interface
as multiple P2P links.

I'd be interested in other opinions as well.

--
Acee